## org.apache.ivy.osgi.repo
Class BundleRepoDescriptor

    java.lang.Object
      org.apache.ivy.osgi.repo.RepoDescriptor
          org.apache.ivy.osgi.repo.BundleRepoDescriptor

    public class BundleRepoDescriptor

extends RepoDescriptor

Constructor Summary
`BundleRepoDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

Method Summary
`java.lang.Long` `getLastModified()`
`java.lang.String` `getName()`
`void` `populate(java.util.Iterator it)`
`void` `setLastModified(java.lang.Long lastModified)`
`void` `setName(java.lang.String name)`

Methods inherited from class org.apache.ivy.osgi.repo.RepoDescriptor
`add, addBundle, equals, findModule, getBaseUri, getCapabilityValues, getModuleByCapbilities, getModules, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleRepoDescriptor

    public BundleRepoDescriptor(java.net.URI baseUri,
                                ExecutionEnvironmentProfileProvider profileProvider)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setLastModified

    public void setLastModified(java.lang.Long lastModified)

### getLastModified

    public java.lang.Long getLastModified()

### populate

    public void populate(java.util.Iterator it)